INSTALL 1.38 KB
Newer Older
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45
qBittorrent - A BitTorrent client in C++ / Qt4
------------------------------------------

*** Necessary if qt3 is default on your system ***
export QTDIR=/usr/include/qt4
export PATH=$QTDIR/bin:$PATH
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$QTDIR/lib
*** End ***

./configure
make && make install
qbittorrent

will install and execute qBittorrent hopefully without any problems.

Dependencies:
- Qt >= 4.3.0 (libqt-devel, libqtgui, libqtcore, libqtnetwork, libqtxml)
  Qt >= 4.4.0 is advised

- libtorrent-rasterbar by Arvid Norberg (>= v0.14.0 REQUIRED)
    -> http://www.qbittorrent.org/download.php (advised)
    -> http://www.libtorrent.net
    Be careful: another library (the one used by rTorrent) uses a similar name.

- libboost: libboost-filesystem, libboost-date-time, libboost-thread, libboost-serialization

- libcurl

- python >= 2.3 (needed by search engine)

- libmagick++ (advised, not required)
  * Needed for favicons support (RSS / Search plugins)

- libzzip (advised, not required)
  * Needed for zip support (Search plugins)

NOTE FOR NON-KDE USERS:
- qt4-qtconfig package is advised when using other systems than KDE.
  You can also change qBittorrent style to Cleanlooks (GNOME like)

DOCUMENTATION:
Please note that there is a documentation with a "compiling howto" at http://wiki.qbittorrent.org.

------------------------------------------
Christophe Dumez <chris@qbittorrent.org>